/** @component list */
import { OnInit, QueryList, ChangeDetectorRef, AfterContentInit, EventEmitter, NgZone, ElementRef } from '@angular/core';
import { ListItemComponent, OptionSelectionChange } from '../list-item/list-item.component';
import { Observable } from 'rxjs';
export declare class ListComponent implements OnInit, AfterContentInit {
    private cd;
    private _ngZone;
    private el;
    private Subscription;
    constructor(cd: ChangeDetectorRef, _ngZone: NgZone, el: ElementRef);
    /** @option Optional ID value of List | null */
    id: string;
    /** @option itemRole prop to set child roles | 'listItem' */
    itemRole: string;
    /** @option Callback function invoked by user selecting an interactive item within list | null */
    select: EventEmitter<{}>;
    /** @option Sets the ARIA role for the Nav, in the context of a TabContainer | 'list' */
    role: string;
    /** @option Sets the orientation of the List | 'vertical' */
    private _tabType;
    tabType: string;
    /** @option Type sets List size | null */
    type: any;
    /** @option Wrap prop type to wrap items to next row */
    wrap: boolean;
    listItems: QueryList<ListItemComponent>;
    /** Combined stream of all of the child options' change events. */
    readonly optionSelectionChanges: Observable<OptionSelectionChange>;
    ngOnInit(): void;
    ngAfterContentInit(): void;
    /** Invoked when an option is clicked. */
    private _onSelect;
    private _isTabTypeOptionValid;
    private _isTypeOptionValid;
}
